=== debian/changelog ===
tlsh (4.12.1+ds-1) unstable; urgency=medium

  * New upstream version 4.12.1+ds
  * d/p/*: Adapt patch set to new upstream version.
  * d/control: Bump Standards-Version to 4.7.3.
  * d/copyright: Bump upstream and packaging copyright years.

 -- Sven Geuer <sge@debian.org>  Thu, 22 Jan 2026 21:24:28 +0100
