## tlsh 5.0.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -55,9 +55,9 @@
 
 project(TLSH)
 
-set(VERSION_MAJOR 4)
-set(VERSION_MINOR 12)
-set(VERSION_PATCH 1)
+set(VERSION_MAJOR 5)
+set(VERSION_MINOR 0)
+set(VERSION_PATCH 0)
 
 # TLSH uses only half the counting buckets.
 # It can use all the buckets now.
