=== debian/changelog ===
tlsh (5.0.0+ds-1~exp1) experimental; urgency=medium

  * New upstream version 5.0.0+ds
  * d/control: Update library package name to new SONAME.
  * d/libtlsh*: Rename docs, install and symbols files according to new SONAME.
  * d/libtlsh5.symbols: Update library soname and dependency template.
  * d/t/build-test-program: Adapt test to the new ABI.
  * d/p/cmake4.patch: Simply BTS URL.
  * d/control: Drop 'Priority: optional'.
  * d/copyright: Update upstream copyright years.

 -- Sven Geuer <sge@debian.org>  Tue, 17 Feb 2026 21:01:18 +0100

tlsh (4.13.3+ds-1) UNRELEASED; urgency=medium

  * New upstream version 4.13.3+ds
  * d/p/*: Adapt patch set to new upstream version.
    - Drop distutils-to-setuptools.patch, it has been applied upstream.
    - Update cpu-agnostic-endianness.patch.
  * d/libtlsh4.symbols: Update symbols file.
  * Not released due to ABI breakage, for details see
    https://github.com/trendmicro/tlsh/issues/162.

 -- Sven Geuer <sge@debian.org>  Tue, 17 Feb 2026 12:58:12 +0100
