=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sven Geuer <sge@debian.org>
 Section: admin
-Priority: optional
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -33,7 +32,7 @@
  generate TLSH hash values and compare TLSH hash values to determine
  similar files.
 
-Package: libtlsh4
+Package: libtlsh5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -55,7 +54,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libtlsh4 (= ${binary:Version}),
+ libtlsh5 (= ${binary:Version}),
  ${misc:Depends},
 Description: fuzzy hashing library - development files
  The Trend Micro Locality Sensitive Hash is a fuzzy hash algorithm that can be
