=== debian/watch ===
Version: 5
Dversion-Mangle: auto
Repacksuffix: +ds
Template: Github
Owner: trendmicro
Project: tlsh
